---
global:
  scrape_interval: 1m
  evaluation_interval: 15s
  external_labels:
    monitor: master
rule_files:
- "rules.d/*.rules"
scrape_configs:
- job_name: icmp
  metrics_path: "/probe"
  params:
    module:
    - icmp
  static_configs:
  - targets:
    - fsn-node-01.torproject.org
    - dal-node-01.torproject.org
    - cdn-backend-sunet-02.torproject.org
    - prometheus1.torproject.org
    - prometheus2.torproject.org
    - dns.google
  relabel_configs:
  - source_labels: [__address__]
    target_label: __param_target
  - source_labels: [__param_target]
    target_label: instance
  - target_label: __address__
    replacement: localhost:9115
- job_name: blackbox
  metrics_path: "/probe"
  params:
    module:
    - http_2xx
    - tcp_connect
  file_sd_configs:
  - files:
    - "targets.d/blackbox_*.yaml"
  relabel_configs:
  - source_labels: [__address__]
    target_label: __param_target
  - source_labels: [__param_target]
    target_label: instance
  - target_label: __address__
    replacement: localhost:9115
- job_name: node
  file_sd_configs:
  - files:
    - "targets.d/node_*.yaml"
- job_name: metrics-standard
  metrics_path: "/metrics"
  scheme: https
  file_sd_configs:
  - files:
    - "targets.d/metrics_standard_*.yaml"
- job_name: bridges
  metrics_path: "/bridgestrap-metrics"
  scheme: https
  file_sd_configs:
  - files:
    - "targets.d/bridgestrap_*.yaml"
- job_name: rdsys
  metrics_path: "/rdsys-backend-metrics"
  scheme: https
  file_sd_configs:
  - files:
    - "targets.d/rdsys_*.yaml"
- job_name: rdsys-telegram
  metrics_path: "/rdsys-telegram-metrics"
  scheme: https
  file_sd_configs:
  - files:
    - "targets.d/rdsys-telegram_*.yaml"
- job_name: snowflake-broker
  metrics_path: "/prometheus"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/snowflake_*.yaml"
- job_name: collector
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/collector_*.yaml"
- job_name: metrics_web_data
  metrics_path: "/data/metrics"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/metrics_web_data*.yaml"
- job_name: metrics_web_network
  metrics_path: "/network/metrics"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/metrics_web_network*.yaml"
- job_name: metrics_web_service
  metrics_path: "/service/metrics"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/metrics_web_service*.yaml"
- job_name: onionoo_network
  metrics_path: "/network/metrics"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/onionoo_network*.yaml"
- job_name: onionoo_service
  metrics_path: "/service/metrics"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/onionoo_service*.yaml"
- job_name: onionperf
  metrics_path: "/"
  file_sd_configs:
  - files:
    - "targets.d/onionperf*.yaml"
- job_name: tordnsel_data
  metrics_path: "/lists/data/metrics"
  scheme: https
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/tordnsel_data*.yaml"
- job_name: relay
  metrics_path: "/metrics"
  scheme: https
  basic_auth:
    username: metrics
    password: REDACTED
  honor_labels: true
  file_sd_configs:
  - files:
    - "targets.d/relay*.yaml"
alerting:
  alert_relabel_configs: []
  alertmanagers:
  - static_configs:
    - targets:
      - localhost:9093
remote_read: []
remote_write: []
